Get Webhook Events
curl --request GET \
--url https://api.example.com/api/analytics/agents/{agent_id}/eventsimport requests
url = "https://api.example.com/api/analytics/agents/{agent_id}/events"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/analytics/agents/{agent_id}/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": 123,
"agent_id": 123,
"call_id": "<string>",
"event_name": "<string>",
"response_code": 123,
"latency_ms": 123,
"attempt_count": 123,
"error_message": "<string>",
"created_at": "<string>"
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}analytics
Get Webhook Events
Get webhook delivery event logs for an agent. Used for the “See all events” UI.
GET
/
api
/
analytics
/
agents
/
{agent_id}
/
events
Get Webhook Events
Path Parameters
Query Parameters
Required range:
1 <= x <= 100Required range:
x >= 0⌘I